%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api_ver		1
%define major		0

%define libname		%mklibname gedit-gfls %{api_ver} %{major}
%define girname		%mklibname gedit-gfls-gir %{api_ver}
%define devname		%mklibname gedit-gfls %{api_ver} -d

Name:		libgedit-gfls
Version:	0.2.0
Release:	%mkrel 1
Summary:	A module dedicated to file loading and saving
Group:		Graphical desktop/GNOME
License:	LGPL-3.0-or-later
URL:		https://gitlab.gnome.org/World/gedit/libgedit-gfls
Source0:	http://fr2.rpmfind.net/linux/gnome.org/sources/libgedit-gfls/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	http://fr2.rpmfind.net/linux/gnome.org/sources/libgedit-gfls/%{url_ver}/%{name}-%{version}.sha256sum
BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)

%description
A module dedicated to file loading and saving.

libgedit-gfls is part of [Gedit Technology](https://gedit-technology.github.io/).

%package -n %{libname}
Summary:	A module dedicated to file loading and saving
Group:		System/Libraries

%description	-n %{libname}
A module dedicated to file loading and saving.

libgedit-gfls is part of [Gedit Technology](https://gedit-technology.github.io/).

%package	-n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description	-n %{girname}
GObject Introspection interface description for %{name}.

%package	-n %{devname}
Summary:	Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gedit-gfls-devel = %{version}-%{release}

%description	-n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%license LICENSES/*
%doc NEWS README.md
%{_libdir}/libgedit-gfls-%{api_ver}.so.%{major}{,.*}

%files -n %{girname}
%license LICENSES/*
%{_libdir}/girepository-1.0/Gfls-%{api_ver}.typelib

%files -n %{devname}
%{_datadir}/gtk-doc/html/libgedit-gfls-%{api_ver}/
%{_includedir}/libgedit-gfls-%{api_ver}/
%{_libdir}/pkgconfig/libgedit-gfls-%{api_ver}.pc
%{_libdir}/libgedit-gfls-%{api_ver}.so
%{_datadir}/gir-1.0/Gfls-%{api_ver}.gir


%changelog
* Wed Sep 18 2024 daviddavid <daviddavid> 0.2.0-1.mga10
+ Revision: 2098008
- new version 0.2.0
- improve description

* Sat Jun 08 2024 daviddavid <daviddavid> 0.1.0-1.mga10
+ Revision: 2070986
- initial package libgedit-gfls

